package Logica;

import java.time.LocalDate;

public class Transaccion {
	private String nombre;
	private float dinero;
	private boolean visible;
	private LocalDate dia;
	private boolean positivo;
	
	public Transaccion(String nombre, float dinero){
		this.nombre=nombre;
		this.dinero=dinero;
		this.visible=true;
		this.dia=LocalDate.now();
		this.positivo=true;
	}
	
	public Transaccion(String nombre, float dinero, LocalDate dia, boolean positivo){
		this.nombre=nombre;
		this.dinero=dinero;
		this.visible=true;
		this.positivo=positivo;
		this.dia=dia;
	}
	
	public String toString() {
		return this.nombre+" "+this.dinero;
	}
	
	public boolean getVisivilidad() {
		return this.visible;
	}
	
	public boolean alterarVisivilidad() {
		this.visible=!this.visible;
		return this.visible;
	}
	
	public float getDinero() {
		/*if(positivo) {
			return this.dinero;
		}else {
			return -this.dinero;
		}*/
		return this.dinero;
	}
	
	public boolean isPositivo() {
		return this.positivo;
	}
}
